Overview | Top | Package | Element
| Attribute Domains UML Documentation

Summary:Attributes Properties | Detail:Attributes

Rules and Parameters::Attribute Domains
Class Reference Value

This entity includes all reference data for reference values. Each reference value is linked to the relevant attribute reference and attribute value.

Attributes
<Primitive Type> String | Reference Value | Value of the attribute reference.
<Primitive Type> String | Reference Value Description | Description of the reference value.

Properties:

Is Abstract | false
Is Active | false
Is Leaf | false
Name | Reference Value
Namespace | <Package> Attribute Domains
Owner | <Package> Attribute Domains
Package | <Package> Attribute Domains
Qualified Name | T2S Data Model::Rules and Parameters::Attribute Domains::Reference Value
Stereotype | Entity
Visibility | Public

Attribute Details

Reference Value

    Public <Primitive Type> String Reference Value

  Value of the attribute reference.

Constraints:
Properties:

  Aggregation | None
  Class | <<Entity>> <Class> Reference Value
  Is Composite | false
  Is Derived | false
  Is Derived Union | false
  Is Leaf | false
  Is Ordered | false
  Is Read Only | false
  Is Static | false
  Is Unique | true
  Lower | 1
  Multiplicity | 1
  Name | Reference Value
  Namespace | <<Entity>> <Class> Reference Value
  Owner | <<Entity>> <Class> Reference Value
  Qualified Name | T2S Data Model::Rules and Parameters::Attribute Domains::Reference Value::Reference Value
  Type | <Primitive Type> String
  Upper | 1
  Visibility | Public

Reference Value Description

    Public <Primitive Type> String Reference Value Description

  Description of the reference value.

Constraints:
Properties:

  Aggregation | None
  Class | <<Entity>> <Class> Reference Value
  Is Composite | false
  Is Derived | false
  Is Derived Union | false
  Is Leaf | false
  Is Ordered | false
  Is Read Only | false
  Is Static | false
  Is Unique | true
  Lower | 1
  Multiplicity | 1
  Name | Reference Value Description
  Namespace | <<Entity>> <Class> Reference Value
  Owner | <<Entity>> <Class> Reference Value
  Qualified Name | T2S Data Model::Rules and Parameters::Attribute Domains::Reference Value::Reference Value Description
  Type | <Primitive Type> String
  Upper | 1
  Visibility | Public

Overview | Top | Package | Element
| Attribute Domains UML Documentation

Summary:Attributes Properties | Detail:Attributes